Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wsrp.model.events
Enum IChangeWindowStateHandler.WindowState

    java.lang.Object
      java.lang.Enum<IChangeWindowStateHandler.WindowState>
          com.bea.wsrp.model.events.IChangeWindowStateHandler.WindowState

All Implemented Interfaces
  Serializable, Comparable<IChangeWindowStateHandler.WindowState>

Enclosing interface:
  IChangeWindowStateHandler

    public static enum IChangeWindowStateHandler.WindowState

extends Enum<IChangeWindowStateHandler.WindowState>

Window state constants

Enum Constant Summary
`delete` Delete window state
`maximized` Maximized window state
`minimized` Minimized window state
`normal` Normal window state

Method Summary
`static IChangeWindowStateHandler.WindowState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IChangeWindowStateHandler.WindowState[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### minimized

    public static final IChangeWindowStateHandler.WindowState minimized

  Minimized window state

### maximized

    public static final IChangeWindowStateHandler.WindowState maximized

  Maximized window state

### normal

    public static final IChangeWindowStateHandler.WindowState normal

  Normal window state

### delete

    public static final IChangeWindowStateHandler.WindowState delete

  Delete window state

Method Detail

### values

    public static final IChangeWindowStateHandler.WindowState[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static IChangeWindowStateHandler.WindowState valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.